/// class PD.Manage.Modules.Rules.DownloadPackageCommand

PD.Manage.Modules.Rules.DownloadPackageCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {

        this.props("id", this.inits("id") || "package/download");
        this.props("enabled", true);
        this.props("label", "Download Zip");
        this.props("icon", PD.Path.to16x16("folder_zip_down.png"));
        this.props("tooltip", "");
        
    },

    execute: function (e) {
        this._super(e);
        
        PD.Web.MonitoredDownloadManager.download("~/Manage/Rules/GetPackage", {}, {
            dialogTitle: "Download Zip",
            dialogMessage: "Please wait while your zip is being created.",
        });

    }

});